Api service

Axios 를 이용하여 서버와 통신을 하는 서비스입니다

    apiService.get("api/codes/AS001").then(result => {
        console.log(result);
    })

### Hierarchy

- ApiService

### Implements

- ILogerService

## Index

### Constructors

- constructor

### Methods

- consoleLog
- delete
- get
- patch
- post
- put
- setLogger
- getInstance

## Constructors

### constructor

- new ApiService(): ApiService

- - Defined in src/services/api.service.ts:29

  Creates an instance of api service.

  #### Returns ApiService

## Methods

### consoleLog

- consoleLog(type: ConsoleLogType, title: string, ...obj: any[]): void

- Implementation of ILogerService.consoleLog

  - Defined in src/services/api.service.ts:123

  Consoles log

  #### Parameters

  - ##### type: ConsoleLogType

  - ##### title: string

  - ##### Rest ...obj: any[]

  #### Returns void

### delete

- delete(url: string, params?: any, config?: AxiosRequestConfig<any>): Promise<any>

- - Defined in src/services/api.service.ts:155

  Deletes api service

  #### Parameters

  - ##### url: string

  - ##### Optional params: any

  - ##### Optional config: AxiosRequestConfig<any>

  #### Returns Promise<any>

  delete

### get

- get(url: string, params?: any, config?: AxiosRequestConfig<any>): Promise<any>

- - Defined in src/services/api.service.ts:137

  Gets api service

  #### Parameters

  - ##### url: string

  - ##### Optional params: any

  - ##### Optional config: AxiosRequestConfig<any>

  #### Returns Promise<any>

  get

### patch

- patch(url: string, data?: any, config?: AxiosRequestConfig<any>): Promise<any>

- - Defined in src/services/api.service.ts:197

  Patchs api service

  #### Parameters

  - ##### url: string

  - ##### Optional data: any

  - ##### Optional config: AxiosRequestConfig<any>

  #### Returns Promise<any>

  patch

### post

- post(url: string, data?: any, config?: AxiosRequestConfig<any>): Promise<any>

- - Defined in src/services/api.service.ts:173

  Posts api service

  #### Parameters

  - ##### url: string

  - ##### Optional data: any

  - ##### Optional config: AxiosRequestConfig<any>

  #### Returns Promise<any>

  post

### put

- put(url: string, data?: any, config?: AxiosRequestConfig<any>): Promise<any>

- - Defined in src/services/api.service.ts:185

  Puts api service

  #### Parameters

  - ##### url: string

  - ##### Optional data: any

  - ##### Optional config: AxiosRequestConfig<any>

  #### Returns Promise<any>

  put

### setLogger

- setLogger(logger: ILogerService): void

- Implementation of ILogerService.setLogger

  - Defined in src/services/api.service.ts:113

  Sets logger

  #### Parameters

  - ##### logger: ILogerService

  #### Returns void

### Static getInstance

- getInstance(): ApiService

- - Defined in src/services/api.service.ts:46

  Gets instance

  #### Returns ApiService

  instance

Generated using TypeDoc